import { axios } from '@/utils/request'
import { stringify } from 'qs'

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getSqarePage (parameter) {
  return axios({
    url: '/sqarepartmanage/spare-part-info/getInOrOut?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function outSqare (parameter) {
  return axios({
    url: '/store/out-store-forms/outStoreForm',
    method: 'post',
    data: parameter
  })
}

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function inSqare (parameter) {
  return axios({
    url: '/store/in-store-forms/inStoreForm',
    method: 'post',
    data: parameter
  })
}
/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getSqareInfo (parameter) {
  return axios({
    url: '/sqarepartmanage/spare-part-info/getInAndOutReport?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
